/* --------- Modals/Pop-ups ---------- */

.modal-open .modal {
  z-index: 99999 !important;
}

.alert-success {
  position: fixed;
  display: flex;
  gap: 15px;
  bottom: 20px;
  left: 50%;
  transform: translateX(-50%);
  margin-bottom: 0;
  max-width: 400px;
  font-size: 1rem;
  font-weight: 400;
  padding: 20px;
  border-color: #424242;
  z-index: 99999;
  background: #fff;
  color: #000;
  border-radius: 20px;
  transition: var(--transition);
}
.alert-success .close {
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  width: 25px;
  min-width: 25px;
  height: 25px;
  opacity: 1;
  padding: 5px;
  border-radius: 3px;
  background-color: #ffffff57;
  display: none;
}
.alert-success .close span {
  text-shadow: none;
  font-weight: 200;
}

.modal {
  overflow: hidden !important;
}

.modal-header {
  align-items: center;
  padding: 20px;
}
.modal-header .modal-title {
  font-size: 25px;
  font-weight: 400;
}
.modal-body {
  padding: 20px;
}

/* From bottom */
.modal.fade-bottom .modal-dialog {
  display: flex;
  align-items: flex-end;
  min-height: var(--dynamic-height);
}
.modal.fade-bottom {
  padding-right: 0 !important;
}
.modal.fade-bottom .modal-dialog.modal-xxl {
  margin: auto;
  margin-bottom: 0;
  width: 100%;
  max-width: 100%;
  transform: translate(0, 100%);
}
.modal.fade-bottom .modal-dialog.modal-xxl .modal-content-inner {
  max-width: 95%;
  margin: auto;
  padding: 15px;
}
.modal.fade-bottom .modal-dialog.modal-xxl .modal-header,
.modal.fade-bottom .modal-dialog.modal-xxl .modal-body {
  padding-left: 0;
  padding-right: 0;
}
.modal.show.fade-bottom .modal-dialog {
  -webkit-transform: translate(0,0);
  transform: translate(0, 0);
}

/* From left */
.modal.fade-left .modal-dialog {
  transform: translate(-100%, 0);
}
.modal.show.fade-left .modal-dialog {
  transform: translate(0, 0);
}
.modal.fade-left .modal-dialog {
  height: 100%;
  padding: 90px 0 40px calc(2.5% + 15px);
  margin: 0;
}
.modal.fade-left .modal-content {
  height: 100%;
}
.modal.fade-left .modal-content-inner {
  display: flex;
  flex-direction: column;
  height: 100%;
}
.modal.fade-left .modal-body {
  height: 100%;
  overflow: auto;
}


.modal-content-inner .modal-body::-webkit-scrollbar {
  width: 4px;
}
.modal-content-inner .modal-body::-webkit-scrollbar-track {
  background: var(--primary-color);
}
.modal-content-inner .modal-body::-webkit-scrollbar-thumb {
  background-color: var(--secondary-color);
  border-radius: 10px;
}

.modal-backdrop.show {
  background-color: #00000075;
  opacity: 1;
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
}

.intro-modal .modal-content {
  border: none;
  border-radius: 15px;
  background-color: var(--primary-color);
  overflow: hidden;
  color: #fff;
}
.intro-modal .modal-header {
  border-color: #ffffff14;
}
.intro-modal h3 {
  font-size: 1.175rem;
  margin-bottom: 20px;
}
.intro-modal#cumFunctioneaza ul {
  padding-left: 0;
  background-color: var(--third-color);
  border-radius: 20px;
  padding: 20px;
}
.intro-modal ul li {
  margin-bottom: 10px;
}
.intro-modal ul li:last-child {
  margin-bottom: 0;
}
.intro-modal .modal-body p {
  color: #ffffff9e;
}
.intro-modal .modal-body p {
  font-weight: 300;
}
#faq-accordion {
  display: flex;
  flex-direction: column;
  row-gap: 10px;
}
#faq-accordion .card {
  background-color: var(--third-color);
  border: none;
  border-radius: 5px;
}
#faq-accordion .card-header {
  display: flex;
  align-items: center;
  gap: 10px;
  cursor: pointer;
  border-bottom: 1px solid var(--primary-color);
}
#faq-accordion .card-header h2 {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  font-size: 16px;
  font-weight: 400;
  margin-bottom: 0;
}
#faq-accordion .card-header lord-icon {
  transition: var(--transition);
  min-width: 30px;
}
#faq-accordion .card-header h2[aria-expanded="true"] lord-icon {
  transform: rotate(180deg);
}
#faq-accordion .card-body {
  font-size: 15px;
  font-weight: 200;
}

/* Pricing Modal */
.modal#pachete {
  overflow: auto !important;
}
.modal#pachete .modal-dialog {
  margin-top: 25vh;
}
.modal#pachete:after {
  content: "";
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 160px;
  background-image: linear-gradient(transparent,var(--primary-color));
  z-index: 9;
  pointer-events: none;
}
.modal#pachete .modal-content-inner {
  padding-top: 50px;
  padding-bottom: 50px;
}
.pricing-container .modal-header {
  position: relative;
  align-items: flex-start;
  border: none;
}
.pricing-container .close {
  position: absolute;
  top: 20px;
  right: 0;
}
.pricing-container .title-wrapper {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
  width: 100%;
  max-width: 550px;
  margin: auto;
  text-align: center;
  gap: 30px;
}
.pricing-container .title-wrapper .modal-title {
  font-size: 50px;
  line-height: 1.2em;
  text-align: center;
}
.pricing-container .title-wrapper .modal-subtitle {
  color: hsla(0,0%,100%,.7);
}
.pricing-container .modal-body {
  display: grid;
  grid-template-columns: repeat(3,minmax(0,1fr));
  grid-gap: 44px 24px;
  gap: 44px 24px;
}

.pricing-card {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 30px;
  z-index: 9;
  border-radius: 20px;
}
.pricing-card:before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  z-index: -1;
  width: 100%;
  height: 100%;
  border-radius: 20px;
  background: radial-gradient(150% 150% at 3% -45%,hsla(0,0%,100%,.32) 0,hsla(0,0%,100%,0) 100%);
  opacity: 0.5;
  transition: var(--transition);
}
.pricing-card.hovered:before {
  opacity: .6;
}
.pricing-card:after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  z-index: -1;
  box-sizing: border-box;
  width: 100%;
  height: 100%;
  border-radius: 20px;
  transition: opacity .15s ease-in-out;
  -webkit-mask-image: linear-gradient(156deg,#000 7%,rgba(0,0,0,.5) 60%,#000);
  mask-image: linear-gradient(156deg,#000 7%,rgba(0,0,0,.5) 60%,#000);
}
.pricing-card#basic:after {
  border: 1px solid hsla(0,0%,100%,.16);
}
.pricing-card#mid {
  background: radial-gradient(213% 213% at 5% -9%,rgba(75,39,255,.1) 0,rgba(54,28,182,.1) 8.6%,rgba(55,31,175,.09) 15.6%,rgba(59,32,192,.09) 23.9%,rgba(49,27,159,.08) 30.9%,rgba(45,24,148,.07) 37.4%,rgba(44,27,130,.06) 43.8%,rgba(39,22,121,.05) 50%,rgba(43,23,141,.04) 56.2%,rgba(37,20,120,.03) 62.6%,rgba(39,21,131,.02) 69.2%,rgba(75,39,255,.01) 76.1%,rgba(10,6,32,.01) 79.2%,transparent 100%),radial-gradient(150% 150% at 3% -45%,hsla(0,0%,100%,.12) 0,hsla(0,0%,100%,0) 100%);
}
.pricing-card#mid:before {
  background-image: radial-gradient(208% 208% at 28% -44%,rgba(14,14,59,.5) 0,rgba(38,81,192,.07) 100%);
  opacity: .6;
}
.pricing-card.hovered#mid:before {
  opacity: .9;
}
.pricing-card#mid:after {
  border: 1px solid rgba(155,128,255,.16);
}
.pricing-card#pro {
  background: radial-gradient(213% 213% at 5% -9%,rgba(38,134,190,.1) 0,rgba(38,133,189,.1) 8.6%,rgba(37,130,185,.09) 16.6%,rgba(36,126,178,.09) 23.9%,rgba(34,120,170,.08) 30.9%,rgba(32,113,160,.07) 37.4%,rgba(30,104,148,.06) 43.8%,rgba(27,95,134,.05) 50%,rgba(24,84,119,.04) 56.2%,rgba(21,72,103,.03) 62.6%,rgba(17,60,85,.02) 69.2%,rgba(13,46,65,.01) 76.1%,transparent 100%),radial-gradient(150% 150% at 3% -45%,hsla(0,0%,100%,.08) 0,hsla(0,0%,100%,0) 100%)
}
.pricing-card#pro:after {
  border: 1px solid rgba(0,212,229,.16);
}
.pricing-card#pro:before {
  background: radial-gradient(208% 208% at 28% -44%,#6be7cf 0,#2686be 100%);
  opacity: .06;
  filter: saturate(2);
}
.pricing-card.hovered#pro:before {
  opacity: .09;
}
.pricing-card .card-top {
  display: flex;
  flex-direction: column;
  width: 100%;
  gap: 30px;
  text-align: center;
  padding-bottom: 50px;
  border-bottom: 1px solid hsla(0,0%,100%,.1);
  margin-bottom: 50px;
}
.pricing-card .card-top .title > * {
  font-family: 'Pierson';
  font-size: 28px;
  font-weight: 900;
  margin-bottom: 0;
  transition: var(--transition);
}
.pricing-card.hovered .card-top .title > * {
  text-shadow: 0 0 15px #fff;
}
.pricing-card .card-headline .price-wrapper {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 20px;
}
.pricing-card .card-headline .price-inner {
  display: flex;
  flex-direction: column;
  width: 100%;
  gap: 15px;
}
.pricing-card .card-headline .price {
  display: flex;
  align-items: center;
  justify-content: center;
  background: hsla(0,0%,100%,.12);
  color: #fff;
  border-radius: 10px;
  padding: 15px;
  gap: 5px;
  font-size: 2.5rem;
  font-weight: 400;
  margin-bottom: 0;
}
.pricing-card .card-headline .price:not(.yearly) {
  flex-direction: column;
  font-size: 1.3rem;
  width: 100%;
}
.pricing-card .card-headline .price-inner div {
  display: flex;
  justify-content: space-between;
  gap: 15px;
}
.pricing-card .card-headline .price span {
  font-size: 1rem;
  color: #fff;
  background: hsl(0deg 0% 100% / 15%);
  padding: 5px 10px;
  border-radius: 5px;
  font-size: 0.75rem;
}
.pricing-card .buy-now {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 20px;
  width: 100%;
  border-radius: 30px;
  text-transform: uppercase;
  font-weight: 400;
  letter-spacing: 1px;
  font-size: 14px;
  color: #000;
  background-color: #fff;
  padding: 5px 10px;
}
.card-features-label {
  color: #fff !important;
  font-weight: 500 !important;
  margin-bottom: 40px;
}
.features-list {
  display: flex;
  flex-direction: column;
  padding-left: 0;
  gap: 20px;
  max-width: 300px;
  margin-bottom: 0;
  background: hsla(0,0%,100%,.06);
  padding: 20px;
  border-radius: 20px;
}
.features-list li {
  display: flex;
  flex-direction: row-reverse;
  align-items: flex-start;
  justify-content: flex-end;
  gap: 10px;
  color: hsla(0,0%,100%,.7);
}
.features-list li lord-icon {
  min-width: 30px;
  margin-top: -3px;
}


/* Account Page Edit Personal Info Modal */
.modal-dialog.dark .modal-content {
  background-color: var(--light-color);
  color: var(--dark-color);
  margin-top: 90px;
}
.modal-dialog.dark .modal-header,
.modal-dialog.dark .modal-footer {
  border-color: #ffffff14;
}
.modal-dialog.dark .modal-footer {
  padding: 20px;
}
.modal-dialog.dark label {
  /* color: #495057; */
  color: var(--primary-color);
}
.modal-dialog.dark .form-control {
  background-color: var(--light-color);
  color: var(--primary-color);
  border: 1px solid var(--primary-color);
}
.modal-dialog.dark .form-control:focus {
  box-shadow: 0 0 0 2px #fff;
}
.edit-modal .modal-footer {
  padding: 20px;
}
.edit-modal .modal-md .btn[type="submit"] {
  width: 100%;
}
.edit-modal .help-block {
  margin-top: 5px;
  font-size: 11px;
  text-align: right;
  color: #ce1d3f;
}
.modal-dialog.dark .media-preview-container .media-select-multiple,
.modal-dialog.dark .media-preview-container .media-preview-multiple {
  background-color: var(--light-color);
  width: 100%;
  margin: 0;
}
.modal-dialog.dark .media-preview-container .media-select-multiple lord-icon {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
}
.media-preview-container .media-preview-multiple {
  border-color: var(--primary-color) !important;
}
#createTimeline .media-preview-container,
#editTimeline .media-preview-container {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 10px;
}
#createTimeline .media-preview-multiple,
#editTimeline .media-select-multiple {
  margin: 0;
  width: 100%;
  padding-top: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  height: auto;
  /* min-width: 25%; */
}
#createTimeline .media-preview-multiple img,
#editTimeline .media-preview-multiple img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}
#createTimeline .media-select-multiple i,
#editTimeline .media-select-multiple i {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
}
#createTimeline .remove-media,
#editTimeline .remove-media {
  padding: 13px !important;
  width: auto;
}
#createTimeline .remove-media lord-icon,
#editTimeline .remove-media lord-icon {
  position: absolute;
}

.media-upload-content {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 20px;
  margin: 0;
}
.media-upload-content .col-lg-3 {
  padding: 0;
  margin: 0;
  width: 100%;
  max-width: 100%;
}
.media-image {
  border-radius: 10px;
}
.media-image,
.media-image:hover {
  background-color: var(--primary-color);
}
.media-image:hover {
  border: 3px solid #fff !important;
}
.media-image:hover .file-type {
  color: #000;
}
.media-image.selected {
  border: none;
  background-color: transparent !important;
}
.media-image.selected:before {
  background-color: #16181cc7 !important;
}
.media-image.selected:after {
  content: '';
  position: absolute;
  width: 40px;
  height: 40px;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-image: url('/img/icons/check.svg');
  background-size: contain;
  background-position: center;
  z-index: 99;
  filter: invert(1);
}
.media-image .media-image-container img {
  width: 100% !important;
}
.media-image .media-image-container .badge {
  display: none;
}
.media-selected-preview {
  margin: 0;
}
.media-selected-preview .media-selected-preview-item {
  border: none;
  margin-right: 5px;
}


/* Create Page Modal */
#createPageModal .modal-body {
  max-height: 65vh;
  overflow: auto;
}
#createPageModal .modal-body .container-fluid {
  display: flex;
  flex-direction: column;
  gap: 20px;
}
#createPageModal .modal-body .row {
  margin: 0;
  border-radius: 10px;
  background-color: var(--light-color);
  padding: 20px;
  gap: 20px;
  border: 1px solid var(--third-color);
}
#create-page-form .modal-footer {
  justify-content: space-between;
}
#create-page-form .modal-footer button[type="submit"] {
  margin-left: auto;
}
#createPageModal .modal-body .row.details {
  display: grid;
  grid-template-columns: 1fr 1fr;
}
#createPageModal .modal-body .row.details .col-lg-12 {
  grid-column: 1/3;
}
#createPageModal .row:not(.details) .form-group {
  min-width: 150px;
}
#createPageModal .form-group {
  margin: 0;
}
#createPageModal .form-control {
  background-color: var(--light-color);
}
.modal-body .private-relation {
  text-align: center;
}
.field-createform-alive label {
  display: flex;
  flex-direction: column-reverse;
  gap: 0.5rem;
  margin: 0;
  padding-top: 3px;
}
.field-createform-alive input:before {
  content: '';
  position: absolute;
  bottom: 5px;
  width: 35px;
  height: 35px;
  background: var(--secondary-color);
  pointer-events: none;
  border-radius: 2px;
}
.field-createform-alive input:checked:before {
  background-image: url( '../images/check.svg' );
  background-size: 19px;
  background-repeat: no-repeat;
  background-position: center;
}
.field-createform-alive label input {
  max-width: 35px;
}

#createPageModal .help-block {
  text-align: left;
}


#select-media-container .input-group-append button {
  padding-top: 8px !important;
  padding-bottom: 8px !important;
}

#selectMapForm .modal-body {
  max-height: 70vh;
  overflow: auto;
}

.pagination {
  margin-bottom: 0;
  margin-top: 20px;
}
.page-item .page-link {
  font-size: 1rem;
  color: #000;
  padding: 5px 15px;
}
.page-item.active .page-link {
  background-color: var(--mg5-color);
  border-color: var(--mg5-color);
  color: #fff;
}

.media-image .media-image-container i {
  font-size: 4em;
}
.media-image .media-image-container .file-type {
  margin-bottom: 0;
  margin-top: 10px;
}

/* RESPONSIVE */

@media(max-width: 990px) {

  .modal-dialog.dark .modal-content {
    margin-top: 60px;
  }

  .modal-header .modal-title {
    font-size: 18px;
  }

  .modal-body {
    overflow: auto;
    max-height: 65vh;
  }

  .media-upload-content {
    display: flex;
  }

}
